My Project: dht::net::UdpSocket Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dht::net::UdpSocket Class Reference
Inheritance diagram for dht::net::UdpSocket:
[legend]
Collaboration diagram for dht::net::UdpSocket:
[legend]

## Public Member Functions
| UdpSocket (in_port_t port, const std::shared_ptr< Logger > &l={})
| UdpSocket (const SockAddr &bind4, const SockAddr &bind6, const std::shared_ptr< Logger > &l={})
int | sendTo (const SockAddr &dest, const uint8_t *data, size_t size, bool replied) override
const SockAddr & | getBoundRef (sa_family_t family=AF_UNSPEC) const override
bool | hasIPv4 () const override
bool | hasIPv6 () const override
void | stop () override
Public Member Functions inherited from dht::net::DatagramSocket
void | setOnReceive (OnReceive &&cb)
SockAddr | getBound (sa_family_t family=AF_UNSPEC) const
in_port_t | getPort (sa_family_t family=AF_UNSPEC) const
virtual std::vector< SockAddr > | resolve (const std::string &host, const std::string &service={})

## Additional Inherited Members
Public Types inherited from dht::net::DatagramSocket
using | OnReceive = std::function<PacketList(PacketList&& packets)>
Protected Member Functions inherited from dht::net::DatagramSocket
PacketList | getNewPacket ()
void | onReceived (PacketList &&packets)
Protected Attributes inherited from dht::net::DatagramSocket
std::mutex | lock

## Detailed Description

Definition at line 121 of file network_utils.h.

## Member Function Documentation

## ◆ getBoundRef()

const SockAddr & dht::net::UdpSocket::getBoundRef | ( | sa_family_t | family = AF_UNSPEC | ) | const
| inlineoverridevirtual

Implements dht::net::DatagramSocket.

Definition at line 130 of file network_utils.h.

## ◆ hasIPv4()

bool dht::net::UdpSocket::hasIPv4 | ( |  | ) | const
| inlineoverridevirtual

Implements dht::net::DatagramSocket.

Definition at line 135 of file network_utils.h.

## ◆ hasIPv6()

bool dht::net::UdpSocket::hasIPv6 | ( |  | ) | const
| inlineoverridevirtual

Implements dht::net::DatagramSocket.

Definition at line 140 of file network_utils.h.

## ◆ sendTo()

int dht::net::UdpSocket::sendTo | ( | const SockAddr & | dest,
|  | const uint8_t * | data,
|  | size_t | size,
|  | bool | replied )
| overridevirtual

Implements dht::net::DatagramSocket.

## ◆ stop()

void dht::net::UdpSocket::stop | ( |  | ) |
| overridevirtual

Implements dht::net::DatagramSocket.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/network_utils.h